Package org.codehaus.groovy.reflection

## Class CachedField

- java.lang.Object
- - groovy.lang.MetaProperty
  - - org.codehaus.groovy.reflection.CachedField

-     public class CachedField
      extends MetaProperty

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.reflect.Field` | `field` |

    - ### Fields inherited from class groovy.lang.MetaProperty

      `name, PROPERTY_SET_PREFIX, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CachedField​(java.lang.reflect.Field field)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getModifiers()` | Returns the access modifier.
    `java.lang.Object` | `getProperty​(java.lang.Object object)` |
    `boolean` | `isFinal()` |
    `boolean` | `isStatic()` |
    `void` | `setProperty​(java.lang.Object object, java.lang.Object newValue)` | Sets the property on the given object to the new value

    - ### Methods inherited from class groovy.lang.MetaProperty

      `getGetterName, getName, getSetterName, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field

          public final java.lang.reflect.Field field

  - ### Constructor Detail

    - #### CachedField

          public CachedField​(java.lang.reflect.Field field)

  - ### Method Detail

    - #### isStatic

          public boolean isStatic()

    - #### isFinal

          public boolean isFinal()

    - #### getModifiers

          public int getModifiers()

      Description copied from class: `MetaProperty`
      Returns the access modifier.
      Overrides:
        `getModifiers` in class `MetaProperty`
      Returns:
        Modifier.PUBLIC

    - #### getProperty

          public java.lang.Object getProperty​(java.lang.Object object)

      Specified by:
        `getProperty` in class `MetaProperty`
      Returns:
        the property of the given object
      Throws:
        `java.lang.RuntimeException` - if the property could not be evaluated

    - #### setProperty

          public void setProperty​(java.lang.Object object,
                                  java.lang.Object newValue)

      Sets the property on the given object to the new value
      Specified by:
        `setProperty` in class `MetaProperty`
      Parameters:
        `object` - on which to set the property
        `newValue` - the new value of the property
      Throws:
        `java.lang.RuntimeException` - if the property could not be set